package com.foo.jpaweb.model

import javax.persistence._

object Model extends ScalaEntityManager("jpaweb") {
  lazy val factory = Persistence.createEntityManagerFactory(persistanceName)
    
  override def openEM () = {
    val em = factory.createEntityManager()
    em.getTransaction().begin()
    em
  }

  override def closeEM (em : EntityManager) = {
    if (em.getTransaction().getRollbackOnly()) {
      em.getTransaction().rollback()
    } else {
      em.getTransaction().commit()
    }

    em.close()
  }
}

